summaryrefslogtreecommitdiff
path: root/dev-python/python-stdnum/python-stdnum-2.0.ebuild
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2025-05-06 20:29:13 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2025-05-06 20:29:13 +0000
commit1cac02e9d606a290b8620320118b320a0050cde9 (patch)
treeb5e67d8537e6b3dbba65a980b54dd4ff273d9729 /dev-python/python-stdnum/python-stdnum-2.0.ebuild
parentbf2303e6bf93b4b9382690091cced410b34f6545 (diff)
downloadbaldeagleos-repo-1cac02e9d606a290b8620320118b320a0050cde9.tar.gz
baldeagleos-repo-1cac02e9d606a290b8620320118b320a0050cde9.tar.xz
baldeagleos-repo-1cac02e9d606a290b8620320118b320a0050cde9.zip
Adding metadata
Diffstat (limited to 'dev-python/python-stdnum/python-stdnum-2.0.ebuild')
-rw-r--r--dev-python/python-stdnum/python-stdnum-2.0.ebuild34
1 files changed, 34 insertions, 0 deletions
diff --git a/dev-python/python-stdnum/python-stdnum-2.0.ebuild b/dev-python/python-stdnum/python-stdnum-2.0.ebuild
new file mode 100644
index 000000000000..6fc13f1927e0
--- /dev/null
+++ b/dev-python/python-stdnum/python-stdnum-2.0.ebuild
@@ -0,0 +1,34 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{9,10,11,12,13} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="A module to handle standardized numbers and codes"
+HOMEPAGE="
+ https://arthurdejong.org/python-stdnum/
+ https://github.com/arthurdejong/python-stdnum/
+ https://pypi.org/project/python-stdnum/
+"
+
+LICENSE="LGPL-2.1"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+IUSE="vies"
+
+RDEPEND="
+ vies? (
+ dev-python/zeep[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ sed -i -e 's:--cov.*::' setup.cfg || die
+ distutils-r1_src_prepare
+}